  With ds_light.FieldDefs do
  Begin
    Add('meshfile',ftstring,40,false);
    Add('x',ftfloat,0,false);
    Add('y',ftfloat,0,false);
    Add('z',ftfloat,0,false);
    Add('scale',ftfloat,0,false);
    Add('r',ftfloat,0,false);
    Add('g',ftfloat,0,false);
    Add('b',ftfloat,0,false);
    Add('a',ftfloat,0,false);
    Add('activationspeed',ftfloat,0,false);
  end;
  ds_light.CreateTable;
  ds_light.Open;

